# Installation

{% tabs %}
{% tab title="QBCore" %}

#### Installation for QBCore

1. Put the <mark style="color:blue;">**`origen_titlemenu`**</mark> script inside the resources folder.

{% hint style="warning" %}
**¡IMPORTART!** DISABLE **ANY MULTICHARACTER** **SCRIPT** IF YOU HAVE **AND QB-SPAWN**
{% endhint %}

2. Upload the [sql](/origen-titlemenu/installation/sql.md) file into your database.
3. Start the scripts.<br>

   <pre data-title="server.cfg"><code>ensure oxmysql
   ensure ox_lib
   ensure qb-core
   ensure your_clothing_script #(qb-clothing, skinchanger, fivem-appearance, rcore_clothing)
   ensure origen_titlemenu
   </code></pre>
4. Go to .config file inside the origen\_titlemenu resurce and put

```lua
Config.Framework = "qbcore" -- qbcore or esx
Config.ClothSystem = "qb-clothing" -- qb-clothing, skinchanger, fivem-appearance, rcore_clothing
```

4. Add logs: Go to the `origen_titlemenu/custom/server/logs.lua`. In that part you can add the all **Logs** using the **discord webhooks** for your server. If you didn't want to insert the logs only put **false** in that section.<br>
5. Enjoy !! 😄
   {% endtab %}

{% tab title="ESX" %}

#### Installation in ESX

1. Put the <mark style="color:blue;">**`origen_titlemenu`**</mark> script inside the resources folder.

{% hint style="info" %}
(*We recommend to place it in the folder named* **\[core]** *if you use esx default*)
{% endhint %}

2. Upload the [sql](/origen-titlemenu/installation/sql.md) file into your database, use the files **esx.sql** and **general.sql**

{% hint style="warning" %}
**¡IMPORTART!** DISABLE **ANY MULTICHARACTER** **SCRIPT** IF YOU HAVE.
{% endhint %}

3. Remove any previous **multicharacter** scripts (*including **esx\_identity***)

4. Go to your es\_extended and look in the config file for this line:\
   \
   `Config.Multichar= GetResourceState("esx_multicharacter") ~= “missing”`\
   \
   And change it for this `Config.Multichar = true`\
   \
   Also make sure you have this set to true: `Config.Identity = true`

5. Add logs: Go to the `origen_titlemenu/custom/server/logs.lua`. In that part you can add the all **Logs** using the **discord webhooks** for your server. If you didn't want to insert the logs only put **false** in that section.

{% hint style="success" %}
Final Step
{% endhint %}

Look the **config.lua and adjust the values** according to your needs and finally restart your server and enjoy!! 😄
{% endtab %}
{% endtabs %}

{% hint style="warning" %}
We recommend uploading our script files without using FileZilla, as the upload process may corrupt our scripts. As a recommendation, please use WinSCP or other reliable programs to upload the files.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.origennetwork.store/origen-titlemenu/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
